org.vishia.commander

## Class FcmdStatusLine

- java.lang.Object
- - org.vishia.commander.FcmdStatusLine

-     public class FcmdStatusLine
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) GralUserAction` | `actionShowBackslash`
    `(package private) GralUserAction` | `actionShowSlash`
    `(package private) java.text.DateFormat` | `formatDateInfo`
    `private Fcmd` | `main`
    `(package private) boolean` | `showBackslash`
    `(package private) java.lang.String` | `sPath`
    `static int` | `version` Version, history and license 2012-03-09 Hartmut new: `widgSyncInfo` 2012-03-04 Hartmut created as extra class.
    `(package private) GralTextField` | `widgFileInfo`
    `(package private) GralTextField` | `widgFilePath`
    `(package private) GralTextField` | `widgRunInfo`
    `(package private) GralTextField` | `widgSyncInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FcmdStatusLine(Fcmd main)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `buildGraphic()`
    `(package private) void` | `setFileInfo(FileRemote file)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### version

          public static final int version

      Version, history and license
      - 2012-03-09 Hartmut new: `widgSyncInfo`
      - 2012-03-04 Hartmut created as extra class. Functionality was in `FcmdFileCard` (setText) and `FcmdButtons` (initialization of widgets)
      Copyright/Copyleft: For this source the LGPL Lesser General Public License, published by the Free Software Foundation is valid. It means:
      1. You can use this source without any restriction for any desired purpose.
      2. You can redistribute copies of this source to everybody.
      3. Every user of this source, also the user of redistribute copies with or without payment, must accept this license for further using.
      4. But the LPGL ist not appropriate for a whole software product, if this source is only a part of them. It means, the user must publish this part of source, but don't need to publish the whole source of the own product.
      5. You can study and modify (improve) this source for own using or for redistribution, but you have to license the modified sources likewise under this LGPL Lesser General Public License. You mustn't delete this Copyright/Copyleft inscription in this source file.
      If you are intent to use this sources without publishing its usage, you can get a second license subscribing a special contract with the author.
      See Also:
        Constant Field Values

    - #### main

          private final Fcmd main

    - #### showBackslash

          boolean showBackslash

    - #### widgFileInfo

          GralTextField widgFileInfo

    - #### widgFilePath

          GralTextField widgFilePath

    - #### widgRunInfo

          GralTextField widgRunInfo

    - #### widgSyncInfo

          GralTextField widgSyncInfo

    - #### formatDateInfo

          final java.text.DateFormat formatDateInfo

    - #### sPath

          java.lang.String sPath

    - #### actionShowBackslash

          GralUserAction actionShowBackslash

    - #### actionShowSlash

          GralUserAction actionShowSlash

  - ### Constructor Detail

    - #### FcmdStatusLine

          FcmdStatusLine(Fcmd main)

  - ### Method Detail

    - #### buildGraphic

          void buildGraphic()

    - #### setFileInfo

          void setFileInfo(FileRemote file)